function Result = INI2STRUCT(filename)

Result        = [];
currMainField = '';
f             = fopen(filename, 'r');

while ~feof(f)
    
    s = strtrim(fgetl(f));
    
    if isempty(s)
        continue;
    end;
    
    if s(1)==';'
        continue;
    end;
    
    if s(1)=='#'
        continue;
    end;
    
    if ( s(1)=='[' ) && ( s(end)==']' )
        currMainField = genvarname(lower(s(2:end-1)));
        Result.(currMainField) = [];    
    else
        [par,val] = strtok(s, '=');
        val = cleanValue(val);
        if ~isempty(currMainField)
            Result.(currMainField).(lower(genvarname(par))) = val;
        else
            Result.(lower(genvarname(par))) = val;
        end
    end
end

fclose(f);

    function [res] = cleanValue(s)
        res = strtrim(s);
        if strcmpi(res(1), '=')
            res(1) = [];
            res = strtrim(res);
        end
    end

end